package com.futhark.datagen;

import com.futhark.block.ModBlocks;
import com.futhark.item.ModItems;
import net.fabricmc.fabric.api.datagen.v1.FabricDataOutput;
import net.fabricmc.fabric.api.datagen.v1.provider.FabricModelProvider;
import net.minecraft.data.client.BlockStateModelGenerator;
import net.minecraft.data.client.ItemModelGenerator;
import net.minecraft.data.client.Models;

public class ModModelProvider extends FabricModelProvider {
    public ModModelProvider(FabricDataOutput output) {
        super(output);
    }

    @Override
    public void generateBlockStateModels(BlockStateModelGenerator blockStateModelGenerator) {
        blockStateModelGenerator.registerSimpleCubeAll(ModBlocks.JAFFA_JAM_BLOCK);
        blockStateModelGenerator.registerSimpleCubeAll(ModBlocks.RUNE_BLOCK);
    }

    @Override
    public void generateItemModels(ItemModelGenerator itemModelGenerator) {
        itemModelGenerator.register(ModItems.JAFFA_CAKE, Models.GENERATED);
        itemModelGenerator.register(ModItems.JAFFA_JAM, Models.GENERATED);
        itemModelGenerator.register(ModItems.RUNIC_CHISEL, Models.GENERATED);
    }
}
